require 'cornflake.so'
require 'cornflake/mac'

class Cornflake
  module Base62
    SIXTYTWO = ('0'..'9').to_a + ('A'..'Z').to_a + ('a'..'z').to_a
    PADDING = 18 # 18 digits is enough to last the next 300 years

    def self.encode(numeric)
      s = ''
      while numeric > 0
        s << Base62::SIXTYTWO[numeric.modulo(62)]
        numeric /= 62
      end
      s.reverse!
      s.rjust(PADDING, "0")
    end
  end

  def base62
    Base62.encode(self.hex.to_i(16))
  end
end

Cornflake.macaddr = Cornflake::MacAddress.find
